Namespace
elastic
Image / Tag
filebeat:sha256-1937af0ed37e53b3ceceaeae866ff38f13a7c74c5a577c4ba2ea8d9e44f1d7fa
Content Digest
sha256:1937af0ed37e53b3ceceaeae866ff38f13a7c74c5a577c4ba2ea8d9e44f1d7fa
Details
Created

2025-08-23 00:02:59 UTC

Size

124 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2025-08-20T13:12:41
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.40.1
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2025-08-22T23:56:56Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    d9d2860c7593868e25d1b2da7da43793fe12c99e
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.1.3
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2025-08-22T23:56:56Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    f4b088292653bbf5ca8188a5e59ffd06a8671d4b
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.1.3

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:e3cbe0a936f80c2d026bd693deec3b7356367ddb2df4ea262a8145a4399109e4 - 30.7% (38.1 MB)

[#001] sha256:56ff3e9da42ff7dcc9ae8f9726728fbee590af44555c6783f1ca5d3e9d807eba - 0.01% (9.54 KB)

[#002] sha256:0154058de9ae075b2489e87f64011c58159b56fd53d52811249ca202bf785d1a - 0.0% (608 Bytes)

[#003] sha256:40bfca430dabadfcdbebdc51078e620de559931e3f4706af3b739d3469d55f8b - 0.0% (620 Bytes)

[#004] sha256:59e8e17348e32290f7d1df95409051267a89d1787b30467d255f4006439a13d1 - 54.74% (67.9 MB)

[#005] sha256:11d57117fcafafcb7b8e3d43d15e6b67a7a5f0ea3677e7c8e3bffa3640d2216b - 0.0% (125 Bytes)

[#006] sha256:9916283432ed0f16dfcf3c35c6ccd5894cba35e0bde781ff5561d0b1a41d6a31 - 0.0% (5.46 KB)

[#007] sha256:796221ed1708cfa3c2cfa43e4da953e43fdebb600a37a87524baaa28186c6c03 - 0.18% (234 KB)

[#008] sha256:c17e2fec621c3826e03200d314b42095d2d485ca6da60fe7f2852fc91a1f13fc - 0.0% (512 Bytes)

[#009] sha256:ea502a652737a57dee0fcc41c87fe31962534c48e4b8c9c41ab47d208dfbbade - 0.0% (1.12 KB)

[#010] sha256:5655ff5195c28ee5d26b291ef1b984e7e197312a2b7803ec1b0f5b5ef044bc26 - 14.36% (17.8 MB)

[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)


History
2025-08-20 13:14:24 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2025-08-20 13:14:24 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2025-08-20 13:14:24 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2025-08-20 13:14:24 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9-minimal" version="9.6" distribution-scope="public"

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) ENV container oci

2025-08-20 13:14:25 UTC

/bin/sh -c #(nop) COPY dir:e1f22eafd6489859288910ef7585f9d694693aa84a31ba9d54dea9e7a451abe6 in /

2025-08-20 13:14:26 UTC

/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.

2025-08-20 13:14:26 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-08-20 13:14:26 UTC

/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /usr/share/buildinfo/content-sets.json

2025-08-20 13:14:26 UTC

/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /root/buildinfo/content_manifests/content-sets.json

2025-08-20 13:14:26 UTC

/bin/sh -c #(nop) LABEL "build-date"="2025-08-20T13:12:41" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="f4b088292653bbf5ca8188a5e59ffd06a8671d4b" "release"="1755695350"

2025-08-23 00:02:40 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2025-08-22T23:56:56Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.1.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=d9d2860c7593868e25d1b2da7da43793fe12c99e io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-08-22T23:56:56Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.1.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2025-08-23 00:02:40 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2025-08-23 00:02:40 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-08-23 00:02:40 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2025-08-23 00:02:40 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2025-08-23 00:02:40 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2025-08-23 00:02:42 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2025-08-23 00:02:53 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2025-08-23 00:02:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2025-08-23 00:02:53 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2025-08-23 00:02:53 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2025-08-23 00:02:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2025-08-23 00:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2025-08-23 00:02:58 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2025-08-23 00:02:58 UTC (buildkit.dockerfile.v0)

USER 1000

2025-08-23 00:02:58 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2025-08-23 00:02:59 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2025-08-23 00:02:59 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2025-08-23 00:02:59 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete